Package org.eclipse.ecf.provider.dnssd

# Class DnsSdDiscoveryContainerAdapter.SRVRecordComparator

java.lang.Object
org.eclipse.ecf.provider.dnssd.DnsSdDiscoveryContainerAdapter.SRVRecordComparator

All Implemented Interfaces:
  `Comparator`

Enclosing class:
  DnsSdDiscoveryContainerAdapter

protected class DnsSdDiscoveryContainerAdapter.SRVRecordComparator extends Object implements Comparator

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SRVRecordComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Object arg0, Object arg1)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### SRVRecordComparator

protected SRVRecordComparator()

## Method Details

### compare

public int compare(Object arg0, Object arg1)

Specified by:
  `compare` in interface `Comparator`